Xerces-C++ 3.2.4

List of all members
DOMEntity Class Referenceabstract

This interface represents an entity, either parsed or unparsed, in an XML document. More...

`#include <xercesc/dom/DOMEntity.hpp>`

Inheritance diagram for DOMEntity:

## Public Member Functions
Destructor
virtual | ~DOMEntity ()
| Destructor. More...
Functions introduced in DOM Level 1
virtual const XMLCh * | getPublicId () const =0
| The public identifier associated with the entity, if specified. More...
virtual const XMLCh * | getSystemId () const =0
| The system identifier associated with the entity, if specified. More...
virtual const XMLCh * | getNotationName () const =0
| For unparsed entities, the name of the notation for the entity. More...
Functions introduced in DOM Level 3.
virtual const XMLCh * | getInputEncoding () const =0
| An attribute specifying the encoding used for this entity at the time of parsing, when it is an external parsed entity. More...
virtual const XMLCh * | getXmlEncoding () const =0
| An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity. More...
virtual const XMLCh * | getXmlVersion () const =0
| An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity. More...
Public Member Functions inherited from DOMNode
virtual | ~DOMNode ()
| Destructor. More...
virtual const XMLCh * | getNodeName () const =0
| The name of this node, depending on its type; see the table above. More...
virtual const XMLCh * | getNodeValue () const =0
| Gets the value of this node, depending on its type. More...
virtual NodeType | getNodeType () const =0
| An enum value representing the type of the underlying object. More...
virtual DOMNode * | getParentNode () const =0
| Gets the parent of this node. More...
virtual DOMNodeList * | getChildNodes () const =0
| Gets a `DOMNodeList` that contains all children of this node. More...
virtual DOMNode * | getFirstChild () const =0
| Gets the first child of this node. More...
virtual DOMNode * | getLastChild () const =0
| Gets the last child of this node. More...
virtual DOMNode * | getPreviousSibling () const =0
| Gets the node immediately preceding this node. More...
virtual DOMNode * | getNextSibling () const =0
| Gets the node immediately following this node. More...
virtual DOMNamedNodeMap * | getAttributes () const =0
| Gets a `DOMNamedNodeMap` containing the attributes of this node (if it is an `DOMElement`) or `null` otherwise. More...
virtual DOMDocument * | getOwnerDocument () const =0
| Gets the `DOMDocument` object associated with this node. More...
virtual DOMNode * | cloneNode (bool deep) const =0
| Returns a duplicate of this node. More...
virtual DOMNode * | insertBefore (DOMNode *newChild, DOMNode *refChild)=0
| Inserts the node `newChild` before the existing child node `refChild`. More...
virtual DOMNode * | replaceChild (DOMNode *newChild, DOMNode *oldChild)=0
| Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. More...
virtual DOMNode * | removeChild (DOMNode *oldChild)=0
| Removes the child node indicated by `oldChild` from the list of children, and returns it. More...
virtual DOMNode * | appendChild (DOMNode *newChild)=0
| Adds the node `newChild` to the end of the list of children of this node. More...
virtual bool | hasChildNodes () const =0
| This is a convenience method to allow easy determination of whether a node has any children. More...
virtual void | setNodeValue (const XMLCh *nodeValue)=0
| Sets the value of the node. More...
virtual void | normalize ()=0
| Puts all `DOMText` nodes in the full depth of the sub-tree underneath this `DOMNode`, including attribute nodes, into a "normal" form where only markup (e.g., tags, comments, processing instructions, CDATA sections, and entity references) separates `DOMText` nodes, i.e., there are neither adjacent `DOMText` nodes nor empty `DOMText` nodes. More...
virtual bool | isSupported (const XMLCh *feature, const XMLCh *version) const =0
| Tests whether the DOM implementation implements a specific feature and that feature is supported by this node. More...
virtual const XMLCh * | getNamespaceURI () const =0
| Get the namespace URI of this node, or `null` if it is unspecified. More...
virtual const XMLCh * | getPrefix () const =0
| Get the namespace prefix of this node, or `null` if it is unspecified. More...
virtual const XMLCh * | getLocalName () const =0
| Returns the local part of the qualified name of this node. More...
virtual void | setPrefix (const XMLCh *prefix)=0
| Set the namespace prefix of this node. More...
virtual bool | hasAttributes () const =0
| Returns whether this node (if it is an element) has any attributes. More...
virtual bool | isSameNode (const DOMNode *other) const =0
| Returns whether this node is the same node as the given one. More...
virtual bool | isEqualNode (const DOMNode *arg) const =0
| Tests whether two nodes are equal. More...
virtual void * | setUserData (const XMLCh *key, void *data, DOMUserDataHandler *handler)=0
| Associate an object to a key on this node. More...
virtual void * | getUserData (const XMLCh *key) const =0
| Retrieves the object associated to a key on a this node. More...
virtual const XMLCh * | getBaseURI () const =0
| The absolute base URI of this node or `null` if undefined. More...
virtual short | compareDocumentPosition (const DOMNode *other) const =0
| Compares the reference node, i.e. More...
virtual const XMLCh * | getTextContent () const =0
| WARNING: This method is known to be buggy and does not produce accurate results under a variety of conditions. More...
virtual void | setTextContent (const XMLCh *textContent)=0
| This attribute removes any possible children this node may have and, if the new string is not empty or null, replaced by a single `DOMText` node containing the string this attribute is set to. More...
virtual const XMLCh * | lookupPrefix (const XMLCh *namespaceURI) const =0
| Look up the prefix associated to the given namespace URI, starting from this node. More...
virtual bool | isDefaultNamespace (const XMLCh *namespaceURI) const =0
| This method checks if the specified `namespaceURI` is the default namespace or not. More...
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const =0
| Look up the namespace URI associated to the given prefix, starting from this node. More...
virtual void * | getFeature (const XMLCh *feature, const XMLCh *version) const =0
| This method makes available a `DOMNode`'s specialized interface. More...
virtual void | release ()=0
| Called to indicate that this Node (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children. More...

## Protected Member Functions
Hidden constructors
| DOMEntity ()
| DOMEntity (const DOMEntity &other)
Protected Member Functions inherited from DOMNode
| DOMNode ()
| DOMNode (const DOMNode &)

## Additional Inherited Members
Public Types inherited from DOMNode
enum | NodeType { ELEMENT_NODE = 1 , ATTRIBUTE_NODE = 2 , TEXT_NODE = 3 , CDATA_SECTION_NODE = 4 , ENTITY_REFERENCE_NODE = 5 , ENTITY_NODE = 6 , PROCESSING_INSTRUCTION_NODE = 7 , COMMENT_NODE = 8 , DOCUMENT_NODE = 9 , DOCUMENT_TYPE_NODE = 10 , DOCUMENT_FRAGMENT_NODE = 11 , NOTATION_NODE = 12 }
| NodeType. More...
enum | DocumentPosition { DOCUMENT_POSITION_DISCONNECTED = 0x01 , DOCUMENT_POSITION_PRECEDING = 0x02 , DOCUMENT_POSITION_FOLLOWING = 0x04 , DOCUMENT_POSITION_CONTAINS = 0x08 , DOCUMENT_POSITION_CONTAINED_BY = 0x10 , DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 0x20 }
| DocumentPosition: More...

## Detailed Description

This interface represents an entity, either parsed or unparsed, in an XML document.

Note that this models the entity itself not the entity declaration. `DOMEntity` declaration modeling has been left for a later Level of the DOM specification.

The `nodeName` attribute that is inherited from `DOMNode` contains the name of the entity.

An XML processor may choose to completely expand entities before the structure model is passed to the DOM; in this case there will be no `DOMEntityReference` nodes in the document tree.

XML does not mandate that a non-validating XML processor read and process entity declarations made in the external subset or declared in external parameter entities. This means that parsed entities declared in the external subset need not be expanded by some classes of applications, and that the replacement value of the entity may not be available. When the replacement value is available, the corresponding `DOMEntity` node's child list represents the structure of that replacement text. Otherwise, the child list is empty.

The DOM Level 2 does not support editing `DOMEntity` nodes; if a user wants to make changes to the contents of an `DOMEntity`, every related `DOMEntityReference` node has to be replaced in the structure model by a clone of the `DOMEntity`'s contents, and then the desired changes must be made to each of those clones instead. `DOMEntity` nodes and all their descendants are readonly.

An `DOMEntity` node does not have any parent.If the entity contains an unbound namespace prefix, the `namespaceURI` of the corresponding node in the `DOMEntity` node subtree is `null`. The same is true for `DOMEntityReference` nodes that refer to this entity, when they are created using the `createEntityReference` method of the `DOMDocument` interface. The DOM Level 2 does not support any mechanism to resolve namespace prefixes.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since
  DOM Level 1

## Constructor & Destructor Documentation

## ◆ DOMEntity() [1/2]

DOMEntity::DOMEntity | ( |  | ) |
| protected

## ◆ DOMEntity() [2/2]

DOMEntity::DOMEntity | ( | const DOMEntity & | other | ) |
| protected

## ◆ ~DOMEntity()

virtual DOMEntity::~DOMEntity | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getInputEncoding()

virtual const XMLCh * DOMEntity::getInputEncoding | ( |  | ) | const
| pure virtual

An attribute specifying the encoding used for this entity at the time of parsing, when it is an external parsed entity.

This is `null` if it an entity from the internal subset or if it is not known.

Since
  DOM Level 3

## ◆ getNotationName()

virtual const XMLCh * DOMEntity::getNotationName | ( |  | ) | const
| pure virtual

For unparsed entities, the name of the notation for the entity.

For parsed entities, this is `null`.

Since
  DOM Level 1

## ◆ getPublicId()

virtual const XMLCh * DOMEntity::getPublicId | ( |  | ) | const
| pure virtual

The public identifier associated with the entity, if specified.

If the public identifier was not specified, this is `null`.

Since
  DOM Level 1

## ◆ getSystemId()

virtual const XMLCh * DOMEntity::getSystemId | ( |  | ) | const
| pure virtual

The system identifier associated with the entity, if specified.

If the system identifier was not specified, this is `null`.

Since
  DOM Level 1

## ◆ getXmlEncoding()

virtual const XMLCh * DOMEntity::getXmlEncoding | ( |  | ) | const
| pure virtual

An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity.

This is `null` otherwise.

Since
  DOM Level 3

## ◆ getXmlVersion()

virtual const XMLCh * DOMEntity::getXmlVersion | ( |  | ) | const
| pure virtual

An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity.

This is `null` otherwise.

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMEntity.hpp